User:Leif/monobook.css: Difference between revisions

From Noisebridge
Jump to navigation Jump to search
m Reverted edits by Rubin110 (Talk); changed back to last version by Leif
No edit summary
 
(5 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* hide the logo */
body {background: white !important;}
#p-logo a, #p-logo a:hover { background-position:-200px 0px !important; }
#p-logo a { background: url(https://www.noisebridge.net/images/thumb/5/5b/NB_rainbow_on_white.png/131px-NB_rainbow_on_white.png) no-repeat 35% 50% !important; }
 
/* style a:after pseudo-element, based on monobook's #p-logo style,
  to contain a replacement logo. (It is necessary to do it this convoluted way
  because the original background url is specified in the html style attribute)
*/
#p-logo a:after {
  position:absolute; top:0; left:0; height: 155px; width: 12.2em;
  background: url(https://www.noisebridge.net/planet/images/nb-logo.gif) no-repeat 35% 50%;
  text-decoration: none;
  content:' '; /* to make the element actually appear */
}
 
body { background:white }

Latest revision as of 07:53, 11 February 2014

body {background: white !important;}
#p-logo a { background: url(https://www.noisebridge.net/images/thumb/5/5b/NB_rainbow_on_white.png/131px-NB_rainbow_on_white.png) no-repeat 35% 50% !important; }